preamble:
   input_reference_genome: t2t/genomes/t2t-chm13v2.0
   summary: Annotates t2t coordinates with Clinical resources
   description: This is a pipeline to annotate variants from t2t assembly with Clinical resources  


annotators:

- liftover_annotator:
    chain: liftover/T2T_to_hg38
    attributes:
    - name: hg38_annotatable 
      source: liftover_annotatable
      internal: true

- normalize_allele_annotator:
    genome: hg38/genomes/GRCh38-hg38
    input_annotatable: hg38_annotatable

- allele_score:
    resource_id: hg38/scores/dbSNP
    input_annotatable: normalized_allele
    
- allele_score:
    resource_id: hg38/variant_frequencies/gnomAD_4.1.0/exomes/ALL
    input_annotatable: normalized_allele

- allele_score:
    resource_id: hg38/variant_frequencies/gnomAD_4.1.0/genomes/ALL
    input_annotatable: normalized_allele

- allele_score:
    resource_id: hg38/scores/ClinVar_20240730
    input_annotatable: normalized_allele

- allele_score:
    resource_id: hg38/scores/CADD_v1.4
    input_annotatable: normalized_allele

- allele_score:
    resource_id: hg38/scores/AlphaMissense
    input_annotatable: normalized_allele

- liftover_annotator:
    chain: liftover/T2T_to_hg19
    attributes:
    - source: liftover_annotatable
      name: hg19_annotatable
      internal: true

- allele_score:
    resource_id: hg19/scores/MPC
    input_annotatable: hg19_annotatable

- effect_annotator:
    gene_models: hg38/gene_models/GENCODE/48/basic/ALL
    genome: hg38/genomes/GRCh38.p13
    input_annotatable: normalized_allele
    attributes:
    - name: worst_effect_GENCODE_48
      source: worst_effect 
    - name: effect_details_GENCODE_48
      source: effect_details 
    - name: gene_effects_GENCODE_48
      source: gene_effects 
    - name: gene_list 
      internal: true

- effect_annotator:
    gene_models: hg38/gene_models/MANE/1.3 
    genome: hg38/genomes/GRCh38.p13
    input_annotatable: normalized_allele
    attributes:
    - name: worst_effect_MANE_1.3
      source: worst_effect 
    - name: effect_details_MANE_1.3
      source: effect_details 
    - name: gene_effects_MANE_1.3
      source: gene_effects 

- gene_score_annotator:
    resource_id: gene_properties/gene_scores/pLI
    input_gene_list: gene_list
    attributes:
    - name: pLI_rank_all
      source: pLI_rank
    - name: pLI_rank_min
      source: pLI_rank
      gene_aggregator: min 
      
- gene_score_annotator:
    resource_id: gene_properties/gene_scores/LOEUF
    input_gene_list: gene_list
    attributes:
    - name: LOEUF_rank_all
      source: LOEUF_rank
    - name: LOEUF_rank_min
      source: LOEUF_rank
      gene_aggregator: min 

- effect_annotator:
    gene_models: t2t/gene_models/ncbiRefSeq_110
    attributes:
    - worst_effect
    - gene_effects
    - effect_details